## audioconvert audioconvert — Convert audio to different formats |

## Properties

GstAudioConvertDithering | dithering | Read / Write
GstAudioConvertNoiseShaping | noise-shaping | Read / Write

## Types and Values

struct | GstAudioConvert
enum | GstAudioConvertDithering
enum | GstAudioConvertNoiseShaping

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstAudioConvert

## Description

Audioconvert converts raw audio buffers between various possible formats. It supports integer to float conversion, width/depth conversion, signedness and endianness conversion and channel transformations.

### Example launch line

    1
    gst-launch -v -m audiotestsrc ! audioconvert ! audio/x-raw,format=S8,channels=2 ! level ! fakesink silent=TRUE

This pipeline converts audio to 8-bit. The level element shows that the output levels still match the one for a sine wave.

    1
    gst-launch -v -m audiotestsrc ! audioconvert ! vorbisenc ! fakesink silent=TRUE

The vorbis encoder takes float audio data instead of the integer data generated by audiotestsrc.

## Synopsis

### Element Information

plugin | audioconvert
author | Benjamin Otte <otte@gnome.org>
class | Filter/Converter/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S8, U8, S16LE, S16BE, U16LE, U16BE, S24_32LE, S24_32BE, U24_32LE, U24_32BE, S32LE, S32BE, U32LE, U32BE, S24LE, S24BE, U24LE, U24BE, S20LE, S20BE, U20LE, U20BE, S18LE, S18BE, U18LE, U18BE, F32LE, F32BE, F64LE, F64BE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S8, U8, S16LE, S16BE, U16LE, U16BE, S24_32LE, S24_32BE, U24_32LE, U24_32BE, S32LE, S32BE, U32LE, U32BE, S24LE, S24BE, U24LE, U24BE, S20LE, S20BE, U20LE, U20BE, S18LE, S18BE, U18LE, U18BE, F32LE, F32BE, F64LE, F64BE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved

## Functions

## Types and Values

### struct GstAudioConvert

    struct GstAudioConvert;

The audioconvert object structure.

### enum GstAudioConvertDithering

Set of available dithering methods when converting audio.

#### Members

DITHER_NONE | No dithering |
DITHER_RPDF | Rectangular dithering |
DITHER_TPDF | Triangular dithering (default) |
DITHER_TPDF_HF | High frequency triangular dithering |

### enum GstAudioConvertNoiseShaping

Set of available noise shaping methods

#### Members

NOISE_SHAPING_NONE | No noise shaping (default) |
NOISE_SHAPING_ERROR_FEEDBACK | Error feedback |
NOISE_SHAPING_SIMPLE | Simple 2-pole noise shaping |
NOISE_SHAPING_MEDIUM | Medium 5-pole noise shaping |
NOISE_SHAPING_HIGH | High 8-pole noise shaping |

## Property Details

### The `“dithering”` property

      “dithering”                GstAudioConvertDithering

Selects between different dithering methods.

Flags: Read / Write

Default value: Triangular dithering (default)

### The `“noise-shaping”` property

      “noise-shaping”            GstAudioConvertNoiseShaping

Selects between different noise shaping methods.

Flags: Read / Write

Default value: No noise shaping (default)